%define current_version 1.0.34

Name:		vz-guest-tools-updater
Version:	%{current_version}
Release:        1%{?dist}
Summary:	A tool to trigger VM guest tools update

Group:		System Environment/Base
License:	GPLv2
Source0:	%{name}-%{version}.tar.bz2
Source1:	tools-update.conf
Source2:	%{name}.service
Source3:	%{name}.timer
Source4:	%{name}.cron
BuildArch:	noarch
Requires:	libprlsdk-python

Requires(preun): systemd-units
Requires(postun): systemd-units
Requires(post): systemd-units

%description
A tool to trigger automated guest tools updates inside VMs.

%prep
%setup -q

%install
install -D -m755 vz-guest-tools-updater.py %{buildroot}%{_bindir}/vz-guest-tools-updater
install -D -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/vz/tools-update.conf
install -D -m644 %{SOURCE4} %{buildroot}%{_sysconfdir}/cron.d/%{name}
mkdir -p %{buildroot}/lib/systemd/system
for unit in %{SOURCE2} %{SOURCE3}; do
    install -m 644 $unit %{buildroot}/lib/systemd/system/
done

mkdir -p %{buildroot}/var/lib
echo '{}' > %{buildroot}/var/lib/vz-guest-tools-updater.json

%post
for unit in service timer; do
    %systemd_post %{name}.$unit
done

%preun
for unit in service timer; do
    %systemd_preun %{name}.$unit
done

%postun
%systemd_postun

%files
%{_bindir}/*
%{_sysconfdir}/vz/*conf
%{_sysconfdir}/cron.d/*
/lib/systemd/system/*
%config(noreplace) /var/lib/vz-guest-tools-updater.json

%changelog
* Fri Jul 21 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.34
 - Report if virsh fails to eject iso, add timeout after eject, #PSBM-68834
 - Fix check for Debian 7 in udev_guest

* Mon Jul 17 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.33
 - Fix fail on missing key on ve_db, see #PSBM=68547
 - Use iso_found variable out of scope (<pbutsykin@virtuozzo.com>)

* Tue Jun 27 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.32
 - Use iso_found variable out of scope (<pbutsykin@virtuozzo.com>)

* Wed Jun 14 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.31
 - Fix update from versions that were subjected to timeout issue (#PSBM-67245)

* Fri Jun 09 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.30
 - Avoid unneeded message about max VMs reached if there are nno more VMs to
process (#PSBM-66088)

* Wed Jun 07 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.29
 - Improve get-state output
 - Implement --get-state option (#PSBM-66437)

* Wed Jun 07 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.28
 - Implement --get-state option (#PSBM-66437)

* Wed May 17 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.27
 - Fix typo (#PSBM-66417)
 - Take update_exec return value into account
 - Added more logging, umount cd after copying install-tools from it if we are
not going to call them explicitly

* Wed May 17 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.26
 - Take update_exec return value into account
 - Added more logging, umount cd after copying install-tools from it if we are
not going to call them explicitly

* Fri Apr 28 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.24
 - Workaround for missing install-tools, #PSBM-65654 (Konstantin Vlasov
<kvlasov@virtuozzo.com>)

* Thu Apr 27 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.23
 - Treat all tools with 2.5* version as 'bad udev', fix processing of vms with
auto-update set to off, add more logging

* Wed Apr 19 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.22
 - Deb 7 suffers from the same udev problem as CentOS 6 (#PSBM-64906)
 - Fix typo in CentOS 6 detection (#PSBM-64889)
 - Force overwrite of  install-tools script when updating through exec
(#PSBM-64116)
 - More logging for #PSBM-64116

* Wed Apr 19 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.21
 - Fix typo in CentOS 6 detection (#PSBM-64889)

* Tue Apr 18 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.20
 - Force overwrite of  install-tools script when updating through exec
(#PSBM-64116)
 - More logging for #PSBM-64116

* Tue Apr 18 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.19
 - More logging for #PSBM-64116

* Tue Apr 11 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.18
 - Force ejection of guest tools media (#PSBM-60093)

* Thu Apr 06 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.17
 - Fix check for CentOS 6 (#PSBM-63881)

* Thu Apr 06 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.16
 - Fix processing of empty types (#PSBM-63655)

* Mon Apr 03 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.15
 - Do not fail if 'type' is missing in json (#PSBM-63468)

* Mon Apr 03 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.14
 - Fix check for guests with bad udev, do not check win guests for this
(#PSBM-63416)

* Fri Mar 31 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.13
 - Fix 'force' usage (#PSBM-63220)

* Fri Mar 31 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.12
 - Improve checking for guests where our udev rule doesn't work (#PSBM-63222)

* Thu Mar 30 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.11
 - Disconnect guest tools CD before running 'installtools' (#PSBM-60093)

* Wed Mar 29 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.10
 - Improve logging for disp-helper

* Mon Mar 27 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.9
 - Added hack for CentOS 6 (#PSBM-60786)

* Mon Mar 27 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.8
 - Fix launch with empty json
 - Create empty vz-guest-tools-updater.json by default

* Mon Mar 27 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.7
 - Implement update-through-exec (#PSBM-61938) 

* Mon Mar 27 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.5-2
- Fix lost guest_os_name (#PSBM-62973)

* Wed Mar 23 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.5-1
- Drop 'failed' flag once we detect that the tools were updated (#PSBM-62449)

* Mon Mar 20 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.4-2
- Add help (#PSBM-62504)
- Stop vz-guest-tools-updater.timer if prl-disp is stopped (#PSBM-62413)
- If VMs for update are specified in cmdline, process them even if
  'autoupdate' set to 'no' (#PSBM-62416) and even if they are not present
  in json (#PSBM-62460)
- Remove VMs that no longer exist from the json file (#PSBM-62401)

* Mon Mar 13 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.3
- Start service after prl-disp (#PSBM-62109)

* Fri Mar 10 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.2
- Make data collection a separate process

* Thu Mar 09 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.1
- Allow passing VM names/uuid as script parameters

* Tue Mar 07 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.0
 - Initial build of vz-guest-tools-updater package (#PSBM-17703)
